Subject: Re: [PATCH] DTC: Improve options handling - respin

From: Jon Loeliger <[email-masked]>
Date: Mon, 19 Mar 2007 09:10:42 -0500

So, like, the other day Jerry Van Baren mumbled:
> 
> Hi David, Jon,
> 
> I was just seeing if I could get a rise out of you. It worked. ;-)
> 
> Attached is a respin of my previous two patches: it adds the -h and -q 
> options and #defines the default version but does _not_ delete the -R 
> option (left as an exercise for the reader to make it useful :-).

Please follow the patch layout guideline like this:

    Mail headers with
    From: <"default" author>
    Subject: <patch summary line>

    From: <actual author if different than mail envelope author>

    <detailed log message>

    <sign-off as needed>
    ---

    Notes and commentary

    <actual patch inline text>

As it was, manual patch editing was necessary to dodge
your introductory explanation.

> Subject: [PATCH] Improve options, #define default version.
> 
> Add -h option for help
> Add -q quiet option to reduce or suppress the whining
> Create #define for the default version value.
> 
> Signed-off-by: [email-masked] <[email-masked]>
> ---

Applied and pushed out!

However, two comments:

> ... but does _not_ delete the -R 
> option (left as an exercise for the reader to make it useful :-).

I'll certainly entertain a patch to fix the reserve space problem. :-)
That could have been my fault, though we both had our fingers in that pie.

> +	fprintf(stderr, "\t-q\n");
> +	fprintf(stderr, "\t\tQuiet: -q suppress warnings, -qq errors, -qqq all\n");

This is a bit misleading.  Sepcifically, -qqq does not currently
suppres "all" messagesm notably	those through yyerror().
An ambitious soul might beat me to fixing that up...

Thanks,
jdl